For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList Assets with Filtering
      • POSTCreate New Asset
      • GETGet Asset by ID
      • POSTBulk Asset Operations
      • POSTBulk Seat Assignments by People Group
      • GETList Asset Tags
      • POSTAdd Asset Tag
      • PUTUpdate Asset Tag
      • DELDelete Asset Tag
      • POSTBind Asset Tags
      • POSTUnbind Asset Tags
      • GETList all Location Definitions
      • POSTAdd Location Definitions
      • PUTUpdate Location Definitions
      • DELDelete Location Definitions
Trebellar Platform
LogoLogo
API ResourcesAssets

List Asset Tags

||View as Markdown|
GET
https://api.trebellar.app/api/v2/assets/tags/list
GET
/api/v2/assets/tags/list
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.assets.listAssetTags({});
8}
9main();
1{
2 "data": [
3 {
4 "id": "string",
5 "assetTypes": [
6 "STRUCTURE"
7 ],
8 "description": "string",
9 "color": "string",
10 "icon": "string",
11 "name": "string",
12 "category": "string",
13 "metadata": "string"
14 }
15 ]
16}
Retrieve a list of all asset tags available, with the ability to filter based on asset type.
Was this page helpful?
Previous

Bulk Seat Assignments by People Group

Next

Add Asset Tag

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

assetTypesstringOptional

Response

Asset tags retrieved successfully
datalist of objects

Errors

404
Not Found Error